Name: prozilla
Version: 2.0.4
Release: alt0

Summary: An advanced Linux download manager
Summary(ru_RU.KOI8-R):     Linux

License: GPL
Group: Networking/File transfer
Url: http://prozilla.genesys.ro
Packager: Egor S. Orlov <oes@altlinux.ru>

Source: http://prozilla.genesys.ro/downloads/%name/tarballs/%name-%version.tar.bz2
Patch0: %name-2.0.4-alt-build-fix.patch

# Patch not apply because file libprozilla/ChangeLog not included to
# package
Patch1: %name-2.0.4-alt-doc-typo_fix.patch

BuildRequires: libncurses-devel gcc-c++

%description
ProZilla is a download accellerator program written for
Linux to speed up the normal file download process. It often
gives speed increases of around 200%% to 300%%. It supports
both FTP and HTTP protocols, and the theory behind it is
very simple. The program opens multiple connections to a
server, and each of the connections downloads a part of the
file, thus defeating existing internet congestion prevention
methods which slow down a single connection based download.
ProZilla also supports file download resuming, and ftpsearch
for fastest ping times.

%description -l ru_RU.KOI8-R
ProZilla -   Linux,    
.     200%%-300%%.  
FTP,   HTTP.     --  
  ,      
 ,     
. ProZilla     
  ftp-    .

%prep
%setup
%patch0 -p1

%build
%configure
%make_build

%install
%makeinstall
%find_lang proz

%files -f proz.lang
%doc ChangeLog CREDITS CREDITS-old-proz docs/FAQ README TODO
%_bindir/proz
%_man1dir/proz.1.*
%exclude %_includedir/*.h
%exclude %_libdir/libprozilla.a
%exclude %_datadir/locale/*/LC_MESSAGES/.mo

%changelog
* Fri Jul 06 2007 Slava Semushin <php-coder@altlinux.ru> 2.0.4-alt0
- NMU
- Updated to 2.0.4
- Attention: since 1.3.6 version was fixed many security related bugs
  (see http://bugs.gentoo.org/show_bug.cgi?id=70090)
- Spec cleanup:
  + Reordered all tags
  + Replaced tabs to one space
  + Fixed encoding specification in Summary (#5120)
  + More short value for Url tag
  + s|Source0|Source|
  + Added full url to Source tag
  + Corrected License tag: from GNU to GPL
  + Set Packager tag to previous maintainer
  + Updated BuildRequires
  + Shield macros in %%description
  + Formatted russian %%description
  + Exclude AUTHORS, COPYING, INSTALL and NEWS from package
  + s|%%_mandir/man1|%%_man1dir|
  + s|%%setup -qn %%{name}-%%{version}|%%setup|
  + Removed trailing spaces from %%changelog

* Wed Sep 03 2003 Egor S. Orlov <oes@altlinux.ru> 1.3.6-alt0.2
- Fixed russian description

* Mon Sep 01 2003 Egor S. Orlov <oes@altlinux.ru> 1.3.6-alt0.1
- Initial build for ALT
  changed spec
  added russian description and summary
  fixed URL

* Fri Aug 17 2001 Ralph Slooten <axllent@axllent.cjb.net>
- Prozilla 1.3.6 Released

* Sat Apr 05 2001 Ralph Slooten <axllent@axllent.cjb.net>
- Prozilla 1.3.5 Released

* Sat Mar 31 2001 Ralph Slooten <axllent@axllent.cjb.net>
- Prozilla 1.3.4 Released
- Improvements in Prozilla (fixes)
- Download screen now shows actual rate and average rate

* Tue Mar 06 2001 Kalum / Grendel<kalum@lintux.cx>
- Prozilla 1.3.3.2 released
- Added several backup ftpsearch servers to fall back, if the main one
  fails
- Added prozilla.spec and modified the Makefile.am, to make rpms if
  necessary.

* Sun Mar 04 2001 Ralph Slooten <axllent@axllent.cjb.net>
- Prozilla 1.3.3.1 released
- ncurses display fixed to show no blank spaces

* Fri Mar 02 2001 Ralph Slooten <axllent@axllent.cjb.net>
- Development ProZilla 1.3.3 released
- Fixed ftp search URL
- Fixed Makefile.in problem fixed
- Spec file changed to suite /etc dir
- Spec file updated using definitions

* Sun Feb 18 2001 Ralph Slooten <axllent@axllent.cjb.net>
- ProZilla version 1.3.2 released
- Global preferences files added in /ect file
- Spec file changed to suite config file needs
- Makefile.in changed to suite RPM's needs... Needs to be fixed!

* Tue Feb 6 2001 Ralph Slooten <axllent@axllent.cjb.net>
- ProZilla version 1.3.1 released
- New FTP search function implemented into Prozilla
- proz manpage symlinked to prozilla man page
- gproz falls out due to drastic changes in Prozilla
- CHANGES file dropped due to existing Changelog
- Rpm spec file changes to suite Prozilla

* Fri Jan 25 2001 Ralph Slooten <axllent@axllent.cjb.net>
- Tweaked up the RPM spec file

* Mon Jan 22 2001 Ralph Slooten <axllent@axllent.cjb.net>
- man proz added, instead of just prozilla
- Server tweaking and changes (Read CHANGES)

* Wed Jan 3 2001 Calum Selkirk <cselkirk@sophix.uklinux.net>
- added RPM_BUILD_ROOT and install to that dir
- added RPM_OPT_FLAGS
- changed Source0: to use %version
